diff -N -P -r -c rtems-4.6.1/ChangeLog rtems-4.6.2/ChangeLog
*** rtems-4.6.1/ChangeLog	Thu Apr  8 18:11:43 2004
--- rtems-4.6.2/ChangeLog	Mon Oct 18 14:15:21 2004
***************
*** 1,3 ****
--- 1,50 ----
+ 2004-10-18	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* VERSION: Updated to rtems-4.6.2.
+ 
+ 2004-10-18	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.2.
+ 
+ 2004-08-18	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	PR 673/make_build
+ 	* config-ml.in: Quote 'cd "${ml_origdir}"'.
+ 	Quote 'cd "${ML_POPDIR}"'.
+ 
+ 2004-08-18	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	PR 673/make_build
+ 	* aclocal/ppc.m4 (RTEMS_PPC_EXCEPTIONS): Quote ac_popdir uses.
+ 	* aclocal/target.m4 (_RTEMS_POP_BUILDDIR): Ditto.
+ 	* acinclude.m4 (_RTEMS_CONFIG_SUBDIR): Quote ac_popdir uses.
+ 
+ 2004-08-18	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	* acinclude.m4: Fix m4-underquoting.
+ 
+ 2004-08-18	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	* aclocal/bsp-alias.m4, aclocal/bsp-arg-enable.m4,
+ 	aclocal/canonical-host.m4, aclocal/canonical-target-name.m4,
+ 	aclocal/canonicalize-tools.m4, aclocal/check-bsps.m4,
+ 	aclocal/check-cpu.m4, aclocal/check-custom-bsp.m4, aclocal/check-cxx.m4,
+ 	aclocal/check-itron.m4, aclocal/check-multiprocessing.m4,
+ 	aclocal/check-networking.m4, aclocal/check-newlib.m4,
+ 	aclocal/check-posix.m4, aclocal/check-rdbg.m4, aclocal/check-tool.m4,
+ 	aclocal/config-subdirs.m4, aclocal/enable-bare.m4,
+ 	aclocal/enable-cxx.m4, aclocal/enable-inlines.m4,
+ 	aclocal/enable-itron.m4, aclocal/enable-multiprocessing.m4,
+ 	aclocal/enable-networking.m4, aclocal/enable-posix.m4,
+ 	aclocal/enable-rdbg.m4, aclocal/enable-rtemsbsp.m4,
+ 	aclocal/enable-tests.m4, aclocal/env-rtemsbsp.m4,
+ 	aclocal/gcc-isystem.m4, aclocal/gcc-pipe.m4, aclocal/gcc-specs.m4,
+ 	aclocal/i386-gas-code16.m4, aclocal/multilib.m4, aclocal/path-ksh.m4,
+ 	aclocal/path-perl.m4, aclocal/prog-cc.m4, aclocal/prog-cxx.m4,
+ 	aclocal/project-root.m4, aclocal/rtems-debug.m4,
+ 	aclocal/rtems-test-no-pause.m4, aclocal/rtems-top.m4, 
+ 	aclocal/target.m4, aclocal/tool-paths.m4: Fix m4-underquoting.
+ 
  2004-04-08	Joel Sherrill <joel@OARcorp.com>
  
  	* aclocal/version.m4: Updated to rtems-4.6.1.
***************
*** 762,768 ****
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of ChangeLog,v 1.178.2.51 2004/04/08 23:11:43 joel Exp -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
--- 809,815 ----
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of ChangeLog,v 1.178.2.63 2004/10/18 19:15:21 joel Exp -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
diff -N -P -r -c rtems-4.6.1/c/src/ChangeLog rtems-4.6.2/c/src/ChangeLog
*** rtems-4.6.1/c/src/ChangeLog	Sun Dec 14 10:21:24 2003
--- rtems-4.6.2/c/src/ChangeLog	Fri Oct 15 09:28:36 2004
***************
*** 1,3 ****
--- 1,7 ----
+ 2004-08-17	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	* acinclude.m4 (_RTEMS_CONFIG_SUBDIR): Quote ac_popdir uses.
+ 
  2003-12-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* support/Makefile.am: Pass @RTEMS_BSP@ to AM_CPPFLAGS.
diff -N -P -r -c rtems-4.6.1/c/src/lib/libbsp/i386/i386ex/ChangeLog rtems-4.6.2/c/src/lib/libbsp/i386/i386ex/ChangeLog
*** rtems-4.6.1/c/src/lib/libbsp/i386/i386ex/ChangeLog	Thu Sep  4 13:44:00 2003
--- rtems-4.6.2/c/src/lib/libbsp/i386/i386ex/ChangeLog	Mon Sep 27 16:53:46 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-09-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 679/bsps
+ 	* startup/linkcmds: Add gnu.linkonce.d and .gcc_except_table.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* clock/ckinit.c, console/console.c, include/bsp.h, include/coverhd.h,
diff -N -P -r -c rtems-4.6.1/c/src/lib/libbsp/i386/pc386/ChangeLog rtems-4.6.2/c/src/lib/libbsp/i386/pc386/ChangeLog
*** rtems-4.6.1/c/src/lib/libbsp/i386/pc386/ChangeLog	Thu Oct  2 07:49:41 2003
--- rtems-4.6.2/c/src/lib/libbsp/i386/pc386/ChangeLog	Fri Oct 15 09:29:15 2004
***************
*** 1,3 ****
--- 1,16 ----
+ 2004-10-13	Eric Norum <norume@aps.anl.gov>
+ 
+ 	PR 688/bsps
+ 	* Makefile.am clock/todcfg.c: Add support for MC146818A TOD chip.
+ 
+ 2004-05-21  Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	* PR 624/bsps
+ 	startup/bspstart.c: When probing the memory, make sure not to
+ 	corrupt the application. Only probe addresses beyond rtemsFreeMemStart.
+ 	* Let IBMPC_outch() convert LF -> CRLF to avoid printk scrambling
+ 	the screen.
+ 
  2003-10-02	Till Strauman <strauman@slac.stanford.edu>
  
  	PR 502/bsps
diff -N -P -r -c rtems-4.6.1/c/src/lib/libbsp/i386/shared/ChangeLog rtems-4.6.2/c/src/lib/libbsp/i386/shared/ChangeLog
*** rtems-4.6.1/c/src/lib/libbsp/i386/shared/ChangeLog	Mon Dec 29 07:26:59 2003
--- rtems-4.6.2/c/src/lib/libbsp/i386/shared/ChangeLog	Mon Sep 27 16:49:18 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2003-11-01      Greg Menke <gregory.menke@gsfc.nasa.gov>
+ 
+ 	PR 608/bsps
+ 	* pci/pcibios.c: BusCountPCI().
+ 
  2003-12-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* shared/io/Makefile.am: Remove (Unused).
diff -N -P -r -c rtems-4.6.1/c/src/lib/libbsp/powerpc/gen405/ChangeLog rtems-4.6.2/c/src/lib/libbsp/powerpc/gen405/ChangeLog
*** rtems-4.6.1/c/src/lib/libbsp/powerpc/gen405/ChangeLog	Tue Dec 16 17:16:40 2003
--- rtems-4.6.2/c/src/lib/libbsp/powerpc/gen405/ChangeLog	Fri Oct 15 14:29:34 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-10-15	Gene Smith <gene.smith@seimens.com>
+ 
+ 	PR 691/bsps
+ 	* startup/linkcmds: Correct bug in linker script.
+ 
  2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	PR 533/bsps
diff -N -P -r -c rtems-4.6.1/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog rtems-4.6.2/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
*** rtems-4.6.1/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	Wed Apr  7 08:09:40 2004
--- rtems-4.6.2/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	Mon Sep 27 16:52:24 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-09-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 680/bsps
+ 	* network/if_hdlcsubr.c: Add missing #include <rtems/rtems_bsdnet.h>.
+ 
  2004-04-07	Joel Sherrill <joel@OARcorp.com>
  
  	PR 602/bsps
diff -N -P -r -c rtems-4.6.1/c/src/lib/libbsp/powerpc/shared/ChangeLog rtems-4.6.2/c/src/lib/libbsp/powerpc/shared/ChangeLog
*** rtems-4.6.1/c/src/lib/libbsp/powerpc/shared/ChangeLog	Wed Mar 31 18:14:59 2004
--- rtems-4.6.2/c/src/lib/libbsp/powerpc/shared/ChangeLog	Mon Sep 27 16:57:50 2004
***************
*** 1,97 ****
! 2004-03-31	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
! 	* startup/Makefile.am: Remove references to linkcmds.
! 
! 2004-02-10	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
! 
! 	PR 575/bsps
! 	* startup/linkcmds: Remove.
! 
! 2003-10-22	Joel Sherrill <joel@OARcorp.com>
! 
! 	PR 510/bsps
! 	* irq/irq.h: Add extern C wrapper.
! 
! 2003-09-29	Till Strauman <strauman@slac.stanford.edu>
! 
! 	PR 497/bsps
! 	* ChangeLog, bootloader/head.S, startup/bspstart.c: Disable code that
! 	returned to the firmware when the loader starts.
! 	* startup/sbrk.c: New file.
! 
! 2003-09-26	Till Strauman <strauman@slac.stanford.edu>
! 
! 	PR 496/bsps
! 	* startup/sbrk.c: New file.
! 	* startup/bspstart.c: This patch implements 'sbrk'
! 	for the powerpc-shared BSP to work around what's known as the
! 	'32Mb problem' in combination with run-time loaded code.
! 	GCC normally generates (PowerPC) code doing 'short jumps' which
! 	requires all text segments being in the same 32Mb area of memory.
! 	However, some run-time loaders use (e.g. heap-) memory violating the
! 	stated limitation on hardware with more than 32Mb of memory.
! 	(NOTE: portable loaders are probably not even aware of this
! 	GCC/CPU specific problem.)
! 
! 	This patch implements a simple workaround: At boot time, the system is
! 	only provided with 32Mb of memory. The user is supposed to load all
! 	necessary modules prior to that limit being exhausted. Once that
! 	happens, newlib/malloc end up trying to 'sbrk()' for more memory and
! 	the implementation provided by this patch will then make the rest of
! 	the physical memory available.
! 
! 2003-09-26  Till Straumann <strauman@slac.stanford.edu>
! 
! 	PR 497/bsps
! 	* bootloader/head.S: Let the bootloader shut down the
! 	network interface. NOTE: this involves a PPCBug system
! 	call and will hence fail if other software is used
! 	to boot. Need to #undef USE_PPCBUG in such cases!
!   
! 2003-09-04	Joel Sherrill <joel@OARcorp.com>
! 
! 	* bootloader/bootldr.h, bootloader/em86.c, bootloader/em86real.S,
! 	bootloader/exception.S, bootloader/head.S, bootloader/lib.c,
! 	bootloader/misc.c, bootloader/mm.c, bootloader/pci.c,
! 	clock/p_clock.c, console/console.c, console/consoleIo.h,
! 	console/inch.c, console/keyboard.h, console/polled_io.c,
! 	include/bsp.h, irq/i8259.c, irq/irq.c, irq/irq.h, irq/irq_asm.S,
! 	irq/irq_init.c, motorola/motorola.c, motorola/motorola.h,
! 	openpic/openpic.c, openpic/openpic.h, pci/pci.c, residual/residual.c,
! 	start/start.S, startup/bspstart.c, vectors/vectors.h,
! 	vectors/vectors_init.c: URL for license changed.
! 
! 2003-08-21	Till Strauman <strauman@slac.stanford.edu>
! 
! 	PR 456/bsps
! 	* irq/irq.c: Fix race condition when installing an ISR.
! 
! 2003-08-05	Till Strauman <strauman@slac.stanford.edu>
! 
! 	PR 437/bsps
! 	* irq/irc.c: calls to bspIo/printk must not use '%i' format which is
! 	apparently not supported 
!         * pci/pci.c: calls to bspIo/printk must not use '%i' format which is
! 	apparently not supported 
! 
! 2003-07-18	Till Straumann <strauman@slac.stanford.edu>
! 
! 	PR 288/rtems
! 	* irq/irq_asm.S, startup/bspstart.c: _ISR_Nest_level is now properly
! 	maintained and any BSP which does not do so will trip a panic in the
! 	shared code.
! 
! 2003-07-18	Till Straumann <strauman@slac.stanford.edu>
! 
! 	PR 415/bsps
! 	* pci/detect_raven_bridge.c, startup/bspstart.c:
! 	This patch reverts enabling MCP interrupts for the motorola_powerpc
! 	BSPs. REASON: pci config space scanning (as e.g. done by the DEC
! 	Ethernet driver) would raise machine check exceptions.
  
  2003-07-16      Greg Menke <gregory.menke@gsfc.nasa.gov>
  
- 	PR 428/bsps
  	PR 432/bsps
  	* bootloader/pci.c: Re-instated code that prevents remapping small
  	IO regions, which if remapped would cause i8259 registers to move
--- 1,26 ----
! 2004-09-27      Greg Menke <gregory.menke@gsfc.nasa.gov>
  
! 	PR 606/bsps
! 	* bootloader/pci.c: Fixed IO remapping so buses >= 1 are remapped.
! 	Reduced PCI space to match bat2.  Fixed incorrect region size
! 	calculation in pci_read_bases.  Set PCI latency timers to known
! 	sane values.  Changed bridge PCI settings to minimum sane instead
! 	of whatever sounded neat in the PCI spec.  Force pf regions to
! 	memory mapped to preserve byte access.
! 
! 
! 2004-09-27      Greg Menke <gregory.menke@gsfc.nasa.gov>
! 
! 	PR 606/bsps
! 	* bootloader/pci.c: Fixed IO remapping so buses >= 1 are remapped.
! 	Reduced PCI space to match bat2.  Fixed incorrect region size
! 	calculation in pci_read_bases.  Set PCI latency timers to known
! 	sane values.  Changed bridge PCI settings to minimum sane instead
! 	of whatever sounded neat in the PCI spec.  Force pf regions to
! 	memory mapped to preserve byte access.
  
  2003-07-16      Greg Menke <gregory.menke@gsfc.nasa.gov>
  
  	PR 432/bsps
  	* bootloader/pci.c: Re-instated code that prevents remapping small
  	IO regions, which if remapped would cause i8259 registers to move
***************
*** 124,129 ****
--- 53,68 ----
  	Support enabling MCP exceptions on the host bridge. This can
  	be used for memory probing on the VME bus.
  
+ 2003-04-15	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 386/bsps
+ 	* vme/vmeconfig.c: Removed declaration of _BSP_vme_bridge_irq.
+ 
+ 2003-04-15	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 386/bsps
+ 	* vme/vmeconfig.c: Removed declaration of _BSP_vme_bridge_irq.
+ 
  2003-04-10  Till Straumann <strauman@slac.stanford.edu>
  
  	PR 379/bsps
***************
*** 159,164 ****
--- 98,119 ----
  
  2003-03-25  Till Straumann <strauman@slac.stanford.edu>
  
+ 	PR 349/bsps
+ 	* irq/irq.c, vme/VME.h, vme/vmeconfig.c: Fixes library dependency
+ 	on the vmeUniverse driver. It is now possible to use the ppc/shared/irq
+ 	code on non-VME BSPs without triggering linkage of the vmeUniverse
+ 	driver.
+ 
+ 2003-03-25  Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 349/bsps
+ 	* irq/irq.c, vme/VME.h, vme/vmeconfig.c: Fixes library dependency
+ 	on the vmeUniverse driver. It is now possible to use the ppc/shared/irq
+ 	code on non-VME BSPs without triggering linkage of the vmeUniverse
+ 	driver.
+ 
+ 2003-03-25  Till Straumann <strauman@slac.stanford.edu>
+ 
  	PR 349/bsps
  	* irq/irq.c, vme/VME.h, vme/vmeconfig.c: Fixes library dependency
  	on the vmeUniverse driver. It is now possible to use the ppc/shared/irq
diff -N -P -r -c rtems-4.6.1/c/src/lib/libbsp/shared/ChangeLog rtems-4.6.2/c/src/lib/libbsp/shared/ChangeLog
*** rtems-4.6.1/c/src/lib/libbsp/shared/ChangeLog	Fri Sep 26 12:33:59 2003
--- rtems-4.6.2/c/src/lib/libbsp/shared/ChangeLog	Fri Oct 15 09:29:04 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-10-13	Eric Norum <norume@aps.anl.gov>
+ 
+ 	PR 688/bsps
+ 	* shared/tod.c: Set RTEMS time during TOD initialization
+ 
  2003-09-26	Cedric Aubert <cedric_aubert@yahoo.fr>
  
  	PR 501/rtems_misc
diff -N -P -r -c rtems-4.6.1/c/src/lib/libcpu/powerpc/ChangeLog rtems-4.6.2/c/src/lib/libcpu/powerpc/ChangeLog
*** rtems-4.6.1/c/src/lib/libcpu/powerpc/ChangeLog	Thu Sep  4 13:45:53 2003
--- rtems-4.6.2/c/src/lib/libcpu/powerpc/ChangeLog	Sat May 22 10:14:03 2004
***************
*** 1,3 ****
--- 1,13 ----
+ 2004-05-22	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 619/bsps
+ 	* mpc6xx/clock/c_clock.c: The PPC decrementer must be reloaded on each
+ 	clock tick. Currently, this is done by just reloading a fixed value.
+ 	The attached patch takes into account the time that elapsed since the
+ 	decrementer crossed zero in order to adjust the value to be
+ 	re-loaded. Without the patch, the effective system clock cycle is
+ 	increased by the exception handler latency.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* mpc6xx/clock/c_clock.c, mpc6xx/clock/c_clock.h,
diff -N -P -r -c rtems-4.6.1/c/src/libchip/ChangeLog rtems-4.6.2/c/src/libchip/ChangeLog
*** rtems-4.6.1/c/src/libchip/ChangeLog	Fri Sep 26 15:15:47 2003
--- rtems-4.6.2/c/src/libchip/ChangeLog	Fri Oct 15 09:27:04 2004
***************
*** 1,3 ****
--- 1,32 ----
+ 2004-10-13      Eric Norum <norume@aps.anl.gov>
+ 
+         PR 688/bsps
+         * rtc/rtc.h, rtc/mc146818a.c, rtc/mc146818a.h, rtc/mc146818a_ioreg.c: 
+         New files.  Add libchip driver for MC146818A (and several
+         Dallas Semiconductor) TOD chips.
+ 
+ 2004-10-13      Eric Norum <norume@aps.anl.gov>
+ 
+         PR 686/networking
+         * network/if_fxp.c: Fix lockup in if_fxp.c, add additional device code.
+ 
+ 2004-04-09	Greg Menke <gregory.menke@gsfc.nasa.gov>
+ 
+ 	PR 607/networking
+ 	* network/dec21140.c: Made PCI configuration minimum sane instead
+ 	of fully specifying unused PCI features.
+ 
+ 2004-05-21  Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 625/networking
+ 	* network/dec21140.c: Prevent name clashes by making 'ld_le32()' etc.
+ 	static inlines.  Let dec21140 attach routine return an error rather
+ 	than panic if no chip is detected (thus allowing for probing).
+ 	* network/elnk.c: Let elnk bail out if autoneg never completes
+ 	instead of looping forever.  Avoid divide by zero (crashed my PC).
+ 	* network/if_fxp.c: Enable more fxp chip variants but warn that
+ 	they are UNTESTED.
+ 
  2003-09-26	Cedric Aubert <cedric_aubert@yahoo.fr>
  
  	PR 499/rtems_misc
diff -N -P -r -c rtems-4.6.1/cpukit/ChangeLog rtems-4.6.2/cpukit/ChangeLog
*** rtems-4.6.1/cpukit/ChangeLog	Thu Apr  8 18:11:44 2004
--- rtems-4.6.2/cpukit/ChangeLog	Mon Oct 18 14:15:20 2004
***************
*** 1,3 ****
--- 1,29 ----
+ 2004-10-18	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.2.
+ 
+ 2004-10-18	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.2.
+ 
+ 2004-10-18	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.2.
+ 
+ 2004-08-18	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	* aclocal/canonical-host.m4, aclocal/canonical-target-name.m4,
+ 	aclocal/canonicalize-tools.m4, aclocal/check-cpu.m4,
+ 	aclocal/check-itron.m4, aclocal/check-multiprocessing.m4,
+ 	aclocal/check-networking.m4, aclocal/check-newlib.m4,
+ 	aclocal/check-posix.m4, aclocal/check-tool.m4, aclocal/enable-bare.m4,
+ 	aclocal/enable-inlines.m4, aclocal/enable-itron.m4,
+ 	aclocal/enable-multiprocessing.m4, aclocal/enable-networking.m4,
+ 	aclocal/enable-posix.m4, aclocal/env-rtemscpu.m4,
+ 	aclocal/gcc-isystem.m4, aclocal/gcc-pipe.m4, aclocal/multi.m4,
+ 	aclocal/multilib.m4, aclocal/prog-cc.m4, aclocal/rtems-debug.m4,
+ 	aclocal/rtems-top.m4, aclocal/sysv-ipc.m4: Fix m4-underquoting.
+ 
  2004-04-08	Joel Sherrill <joel@OARcorp.com>
  
  	* aclocal/version.m4: Updated to rtems-4.6.1.
diff -N -P -r -c rtems-4.6.1/cpukit/libmisc/ChangeLog rtems-4.6.2/cpukit/libmisc/ChangeLog
*** rtems-4.6.1/cpukit/libmisc/ChangeLog	Thu Dec 11 08:20:46 2003
--- rtems-4.6.2/cpukit/libmisc/ChangeLog	Mon Sep 27 17:14:43 2004
***************
*** 1,3 ****
--- 1,15 ----
+ 2004-09-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 681/misc
+ 	* stackchk/check.c: Fix dereference.
+ 
+ 2004-09-17	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 677/misc
+ 	* dumpbuf/dumpbuf.h, fsmount/fsmount.h, rtmonuse/rtmonuse.h,
+ 	serdbg/serdbg.h, serdbg/serdbgcnf.h, serdbg/termios_printk.h,
+ 	serdbg/termios_printk_cnf.h, untar/untar.h: Add extern C wrappers.
+ 
  2003-12-11	Joel Sherrill <joel@OARcorp.com>
  
  	PR 540/rtems_misc
diff -N -P -r -c rtems-4.6.1/cpukit/libnetworking/ChangeLog rtems-4.6.2/cpukit/libnetworking/ChangeLog
*** rtems-4.6.1/cpukit/libnetworking/ChangeLog	Fri Jan 30 08:43:05 2004
--- rtems-4.6.2/cpukit/libnetworking/ChangeLog	Fri Sep 17 11:38:05 2004
***************
*** 1,3 ****
--- 1,15 ----
+ 2004-09-17	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 676/networking
+ 	* nfs/bootp_subr.c: /etc/resolv.conf contains NTP instead of DNS
+ 	servers.
+ 
+ 2004-05-21	Till Strauman <strauman@slac.stanford.edu>
+ 
+ 	PR 626/networking
+ 	* rtems/rtems_showifstat.c: Use unsigned char to avoid printing leading
+ 	FFFFFF for byte values > 127.
+ 
  2004-01-30	Wilfried Busalski <w.busalski@lancier-monitoring.de>
  
  	PR pppd/564
diff -N -P -r -c rtems-4.6.1/cpukit/posix/ChangeLog rtems-4.6.2/cpukit/posix/ChangeLog
*** rtems-4.6.1/cpukit/posix/ChangeLog	Thu Feb 26 08:29:02 2004
--- rtems-4.6.2/cpukit/posix/ChangeLog	Mon Sep 27 17:43:14 2004
***************
*** 1,3 ****
--- 1,22 ----
+ 2004-09-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 294/rtems
+ 	* src/pthread.c: POSIX thread exit handler now confirms that it created
+ 	the executing thread before implicitly exitting it.
+ 
+ 2004-05-21  Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 628/rtems
+ 	* src/killinfo.c, src/pthreadkill.c, src/ptimer1.c, src/sigaction.c,
+ 	src/sigaddset.c, src/sigsuspend.c: Signal set of 0 is supposed to
+ 	return EINVAL.  In addition timer_create needed to return an error
+ 	if the clock was not CLOCK_REALTIME.
+ 
+ 2004-05-21  Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 629/rtems
+ 	* src/mqueuecreatesupp.c: Return EINVAL is mq_maxmsg is <= 0, not <.
+ 
  2004-02-26	Joel Sherrill <joel@OARcorp.com>
  
  	PR 582/core
diff -N -P -r -c rtems-4.6.1/cpukit/rtems/ChangeLog rtems-4.6.2/cpukit/rtems/ChangeLog
*** rtems-4.6.1/cpukit/rtems/ChangeLog	Thu Feb 26 11:04:27 2004
--- rtems-4.6.2/cpukit/rtems/ChangeLog	Fri Oct 15 15:06:35 2004
***************
*** 1,3 ****
--- 1,61 ----
+ 2004-10-15	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 692/rtems
+ 	* src/regiongetsegment.c, src/regionreturnsegment.c: The Region Manager
+ 	did not follow the proper protocol when blocking and unblocking tasks
+ 	waiting on buffers. This was a bug introduced with the transition to
+ 	an Allocation Mutex.
+ 
+ 2004-07-24	Mick Davis <mickd@microsol.iinet.net.au>
+ 
+ 	PR 641/rtems
+ 	* src/eventsurrender.c: The problem here is that events may be lost
+ 	when sent to a task which enters rtems_event_receive() with options
+ 	set to wait with a timeout and to return on receipt of any event. The
+ 	events are sent from an interrupt source such as a timer service
+ 	routine. If more than one set of events is sent to the task before it
+ 	returns, the first event set may be overwritten.
+ 
+ 2004-07-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 652/rtems
+ 	* src/signalsend.c: Return RTEMS_INVALID_NUMBER when sending an empty
+ 	signal set.
+ 
+ 2004-07-14	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 651/core
+ 	* src/taskident.c: Add NULL check for id.
+ 
+ 2004-06-29	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 631/rtems
+ 	* src/msgqcreate.c: Return unsatisfied from message_queue_create
+ 	when unable to allocate message buffer memory.
+ 
+ 2004-05-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 618/rtems
+ 	* include/rtems/rtems/status.h, src/clockget.c, src/clockset.c,
+ 	src/dpmemcreate.c, src/dpmemexternal2internal.c,
+ 	src/dpmeminternal2external.c, src/eventmp.c, src/eventreceive.c,
+ 	src/eventsend.c, src/msgqbroadcast.c, src/msgqcreate.c,
+ 	src/msgqflush.c, src/msgqgetnumberpending.c, src/msgqreceive.c,
+ 	src/msgqsubmit.c, src/partcreate.c, src/partdelete.c,
+ 	src/partgetbuffer.c, src/ratemoncancel.c, src/ratemoncreate.c,
+ 	src/ratemondelete.c, src/ratemongetstatus.c, src/ratemonident.c,
+ 	src/ratemonperiod.c, src/regioncreate.c, src/regiondelete.c,
+ 	src/regionextend.c, src/regiongetsegment.c,
+ 	src/regiongetsegmentsize.c, src/regionreturnsegment.c,
+ 	src/semcreate.c, src/semdelete.c, src/semflush.c, src/semident.c,
+ 	src/taskcreate.c, src/taskgetnote.c, src/taskmode.c,
+ 	src/taskrestart.c, src/taskresume.c, src/tasksetnote.c,
+ 	src/tasksuspend.c, src/taskvariableadd.c, src/taskvariabledelete.c,
+ 	src/taskvariableget.c, src/taskwakewhen.c, src/timercreate.c,
+ 	src/timerdelete.c, src/timerfireafter.c, src/timerfirewhen.c,
+ 	src/timerserverfireafter.c, src/timerserverfirewhen.c: Add NULL
+ 	checks.
+ 
  2004-02-26	Thomas Rauscher <trauscher@loytec.com.
  
  	PR 584/RTEMS
diff -N -P -r -c rtems-4.6.1/cpukit/sapi/ChangeLog rtems-4.6.2/cpukit/sapi/ChangeLog
*** rtems-4.6.1/cpukit/sapi/ChangeLog	Fri Mar  5 11:58:18 2004
--- rtems-4.6.2/cpukit/sapi/ChangeLog	Tue Jun  8 08:53:29 2004
***************
*** 1,6 ****
! 2004-03-05	Joel Sherrill <joel@OARcorp.com>
  
! 	* include/confdefs.h:
  
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
--- 1,7 ----
! 2004-06-08	Joel Sherrill <joel@OARcorp.com>
  
! 	* ChangeLog, include/confdefs.h: Reverse previous accidental commit
! 	which included too much and had no PR.
  
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
diff -N -P -r -c rtems-4.6.1/cpukit/score/ChangeLog rtems-4.6.2/cpukit/score/ChangeLog
*** rtems-4.6.1/cpukit/score/ChangeLog	Sat Jan 10 22:33:16 2004
--- rtems-4.6.2/cpukit/score/ChangeLog	Mon Oct 18 14:12:25 2004
***************
*** 1,3 ****
--- 1,50 ----
+ 2004-10-18	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/rtems/system.h: Bump revision number.
+ 
+ 2004-07-25	Thomas Rauscher <trauscher@loytec.com>
+ 
+ 	PR 609/rtems
+ 	* src/threaddispatch.c: Close race condition between _Thread_Dispatch
+ 	and _Thread_Tickle_timeslice.
+ 
+ 2004-07-25	Victor Vengerov <Victor.Vengerov@oktetlabs.ru>
+ 
+ 	PR 654/rtems
+ 	* src/threadinitialize.c: Initialize the per thread watchdog timer.
+ 	When the thread control block is reused, we cannot depend on it being
+ 	zeroed.
+ 
+ 2004-07-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 661/rtems
+ 	* src/objectmp.c: Fix invalid dereference.
+ 
+ 2004-07-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 660/rtems
+ 	* src/threadinitialize.c, src/threadstackallocate.c: Check for
+ 	overflow when allocating stack.
+ 
+ 2004-07-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 659/rtems
+ 	* src/heapsizeofuserarea.c, src/objectmp.c, src/threadinitialize.c,
+ 	src/threadstackallocate.c: Check that address specified is in the
+ 	heap.
+ 
+ 2004-07-14	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 650/rtems
+ 	* src/coremsg.c: Check for mathemathical overflow when calculating
+ 	amount of memory to allocate for message buffers.
+ 
+ 2004-05-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 618/rtems
+ 	* include/rtems/score/object.h, src/coretodvalidate.c,
+ 	src/objectnametoid.c: Add NULL checks.
+ 
  2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* macros/rtems/score/README: Remove (Redundant with macros/README).
diff -N -P -r -c rtems-4.6.1/cpukit/score/cpu/arm/ChangeLog rtems-4.6.2/cpukit/score/cpu/arm/ChangeLog
*** rtems-4.6.1/cpukit/score/cpu/arm/ChangeLog	Thu Sep  4 13:47:22 2003
--- rtems-4.6.2/cpukit/score/cpu/arm/ChangeLog	Mon Aug 23 20:07:30 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-08-23	Jay Monkman <jtm@lopingdog.com>
+ 
+ 	PR 671/bsps
+ 	* rtems/score/cpu.h: Fixed bug in _CPU_ISR_Set_level for ARM
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* asm.h, cpu.c, cpu_asm.S, rtems/score/arm.h, rtems/score/cpu.h,
diff -N -P -r -c rtems-4.6.1/cpukit/score/cpu/mips/ChangeLog rtems-4.6.2/cpukit/score/cpu/mips/ChangeLog
*** rtems-4.6.1/cpukit/score/cpu/mips/ChangeLog	Sat Apr  3 10:29:06 2004
--- rtems-4.6.2/cpukit/score/cpu/mips/ChangeLog	Fri Apr  9 09:52:27 2004
***************
*** 1,3 ****
--- 1,8 ----
+ 2004-04-09	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 605/bsps
+ 	* cpu.c: Do not use C++ style comments.
+ 
  2004-04-03	Art Ferrer <arturo.b.ferrer@nasa.gov>
  
  	PR 598/bsps
diff -N -P -r -c rtems-4.6.1/doc/started/ChangeLog rtems-4.6.2/doc/started/ChangeLog
*** rtems-4.6.1/doc/started/ChangeLog	Sun Feb  1 01:10:47 2004
--- rtems-4.6.2/doc/started/ChangeLog	Mon Oct 18 14:08:00 2004
***************
*** 1,3 ****
--- 1,19 ----
+ 2004-10-18	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* buildc.t, buildrt.t: Fix typo which keeps this from building.
+ 
+ 2004-09-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 682/doc
+ 	* buildc.t, buildrt.t, sample.t: Fix PATH and tar examples. Enable
+ 	binutils link again.
+ 
+ 2004-09-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 682/misc
+ 	* buildc.t, buildrt.t, sample.t: Fix PATH and tar examples. Enable
+ 	binutils link again.
+ 
  2004-02-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* binaries.t, buildc.t: Use @value{RTEMSRPMPREFIX} in refs to rpms.
diff -N -P -r -c rtems-4.6.1/doc/user/ChangeLog rtems-4.6.2/doc/user/ChangeLog
*** rtems-4.6.1/doc/user/ChangeLog	Tue Nov 25 08:15:45 2003
--- rtems-4.6.2/doc/user/ChangeLog	Mon Sep 27 17:28:43 2004
***************
*** 1,3 ****
--- 1,32 ----
+ 2004-09-27	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 683/doc
+ 	* overview.t: Chapter numbering in preface was wrong.
+ 
+ 2004-07-24	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 652/rtems
+ 	* signal.t: Return RTEMS_INVALID_NUMBER when sending an empty signal
+ 	set.
+ 
+ 2004-06-29	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 631/rtems
+ 	* msg.t: Document the return status from message_queue_create when
+ 	unable to allocate message buffer memory.
+ 
+ 2004-05-21	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 627/doc
+ 	* task.t: Behavior documented for an rtems_task_create with stacksize <
+ 	minimum was not the implemented behavior.
+ 
+ 2004-05-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 618/rtems
+ 	* clock.t, dpmem.t, event.t, msg.t, part.t, region.t, sem.t, task.t,
+ 	timer.t: Add NULL checks.
+ 
  2003-11-25	Joel Sherrill <joel@OARcorp.com>
  
  	PR 528/rtems_misc
diff -N -P -r -c rtems-4.6.1/scripts/ChangeLog rtems-4.6.2/scripts/ChangeLog
*** rtems-4.6.1/scripts/ChangeLog	Thu Apr  8 17:08:49 2004
--- rtems-4.6.2/scripts/ChangeLog	Thu Sep 30 05:28:26 2004
***************
*** 1,3 ****
--- 1,14 ----
+ 2004-09-30	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	* autotools/autoconf-rtems.spec.in: Remove bogus BuildDep on
+ 	autoconf.
+ 	* autotools/automake-rtems.spec.in: Use my rtems.org address.
+ 
+ 2004-09-06	Ralf Corsepius <ralf_corsepius@rtems.org>
+ 
+ 	* autotools/autoconf-rtems.spec.in: Backport from rtems-4.7.
+ 	Update to autoconf-2.59.
+ 
  2004-04-08	Joel Sherrill <joel@OARcorp.com>
  
  	PR 594/tools
